<%@ page contentType="text/html;charset=UTF-8" %>
<script>
$(document).ready(function() {
	var parentId = $("#parentId").val();
	$('#table').bootstrapTable({
		  //请求方法
				method: 'post',
				//类型json
				dataType: "json",
				contentType: "application/x-www-form-urlencoded",
    	       //最低显示2行
    	       minimumCountColumns: 2,
               //是否显示行间隔色
               striped: true,
               //是否使用缓存，默认为true，所以一般情况下需要设置一下这个属性（*）
               cache: false,
               //是否显示分页（*）
               pagination: true,
                //排序方式
               sortOrder: "asc",
               //初始化加载第一页，默认第一页
               pageNumber:1,
               //每页的记录行数（*）
               pageSize: 10,
               //可供选择的每页的行数（*）
               pageList: [10, 25, 50, 100],
               //这个接口需要处理bootstrap table传递的固定参数,并返回特定格式的json数据
               url: "${ctx}/oa/oaNotify/marterialData?parentId="+parentId,
               //默认值为 'limit',传给服务端的参数为：limit, offset, search, sort, order Else
               //queryParamsType:'',
               ////查询参数,每次调用是会带上这个参数，可自定义
               queryParams : function(params) {
               	var searchParam = $("#searchForm").serializeJSON();
               	searchParam.pageNo = params.limit === undefined? "1" :params.offset/params.limit+1;
               	searchParam.pageSize = params.limit === undefined? -1 : params.limit;
               	searchParam.orderBy = params.sort === undefined? "" : params.sort+ " "+  params.order;
                   return searchParam;
               },
				formatNoMatches : function(){return '无数据'},
               //分页方式：client客户端分页，server服务端分页（*）
               sidePagination: "server",
               contextMenuTrigger:"right",//pc端 按右键弹出菜单
               contextMenuTriggerMobile:"press",//手机端 弹出菜单，click：单击， press：长按。
               contextMenu: '#context-menu',

				onShowSearch: function () {
					$("#search-collapse").slideToggle();
				},
               columns: [
		    {
		        field: 'itemDetail',
		        title: '项目描述'
		    }
		    ,{
		        field: 'projectDefinition',
		        title: '项目定义号'

		    },{
		        field: 'materialCode',
		        title: '物料编码'
		    }
			,{
		        field: 'materialDescription',
		        title: '物料描述'

		    },{
		        field: 'measuringUnit',
		        title: '计量单位'

		    },{
		        field: 'quantityDemanded',
		        title: '需求数量'

		    }
                   ,{
                       field: 'quantityDelivered',
                       title: '已经出库数量'
                   }
                   ,{
                       field: 'stockNumber',
                       title: '库存数量'

                   }
		     ]

		});

		$("#export").click(function(){//导出Excel文件
			jp.downloadFile('${ctx}/oa/oaNotify/export?parentId='+parentId);
		});
	  if(navigator.userAgent.match(/(iPhone|iPod|Android|ios)/i)){//如果是移动端

		 
		  $('#table').bootstrapTable("toggleView");
		}
	  
	  $('#table').on('check.bs.table uncheck.bs.table load-success.bs.table ' +
                'check-all.bs.table uncheck-all.bs.table', function () {
            $('#remove').prop('disabled', ! $('#table').bootstrapTable('getSelections').length);
            $('#edit').prop('disabled', $('#table').bootstrapTable('getSelections').length!=1);
        });
		    
	  $("#search").click("click", function() {// 绑定查询按扭
		  $('#table').bootstrapTable('refresh');
		});
	 $("#reset").click("click", function() {// 绑定查询按扭
		  $("#searchForm  input").val("");
		  $("#searchForm  select").val("");
		  $('#table').bootstrapTable('refresh');
		});
	});
  function getIdSelections() {
        return $.map($("#table").bootstrapTable('getSelections'), function (row) {
            return row.id
        });
    }
  
</script>